# $Revision: 1.6 $, $Date: 2004/02/25 21:20:38 $
Summary:	Command line diagnostics
Summary(pl):	Narzdzie diagnostyczne dziaajce z linii polece
Name:		sysdiag
Version:	0.2.0
%define	fver	%(echo %{version} | tr . _)
Release:	1
License:	GPL
Group:		Applications/System
Source0:	http://dl.sourceforge.net/linux-diag/%{name}-v%{fver}.tar.gz
# Source0-md5:	5527e42a8bece0bcfc10b2ef70a62cd2
Patch0:		%{name}-gcc33_fixes.patch
Patch1:		%{name}-paths.patch
Patch2:		%{name}-system-libs.patch
URL:		http://linux-diag.sourceforge.net/Sysdiag.html
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	sysfsutils-devel >= 0.4.0
BuildRequires:	tdb-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_datadir	%{_sysconfdir}

%description
sysdiag is a utility that enables the user to run diagnotics on
devices present on the system. It also enables the user to list all
the devices on the system, show event log information from the system
logs for the device. sysdiag makes use of libsysfs, which is a library
that provides set of APIs to query device information from the sysfs
undef Linux 2.5+.

%description -l pl
sysdiag to narzdzie pozwalajce uytkownikowi na wykonanie
diagnostyki urzdze obecnych w systemie. Pozwala take uzyska list
wszystkich urzdze oraz wywietli informacje z logw systemowych o
zdarzeniach zwizanych z tym urzdzeniem. sysdiag wykorzystuje
libsysfs - bibliotek dostarczajc zbir API do uzyskiwania
informacji o urzdzeniach z sysfs pod Linuksem 2.5+.

%prep
%setup -q -n %{name}-v%{fver}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README docs/sysdiag.txt
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/sysdiag.conf
%attr(755,root,root) %{_bindir}/sysdiag
%{_mandir}/man1/%{name}.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sysdiag.spec,v $
Revision 1.6  2004/02/25 21:20:38  qboosh
- updated paths patch to update docs and move sysdiag.tdb to /var/lib/misc
- added system-libs patch to use system libsysfs 0.4.0+ and tdb
- dropped redundant -devel package, gdbm BR no longer needed
- release 1

Revision 1.5  2004/02/24 20:02:25  adamg
- BuildRequires: gdbm-devel

Revision 1.4  2004/02/24 19:24:08  adamg
- added devel subpackage

Revision 1.3  2004/02/24 16:44:23  adamg
- perform make install in top source dir
- added sysdiag (1) man page
- cleanups

Revision 1.2  2004/02/24 14:25:32  adamg
- updated to 0.2.0
- added gcc33_fixes (multi-line string literals) and paths (look for
  sysdiag.conf in /etc, not in /usr/local/share) patches
- not finished yet!

Revision 1.1  2003/09/04 20:00:18  qboosh
- new
